Author Topic: Help! Need to fix yum.  (Read 3337 times)

Digi

  • Newbie
  • *
  • Posts: 49
  • Karma: +3/-0
  • http://os2.snc.ru/
    • View Profile
    • OS/2 ports and applications
Help! Need to fix yum.
« on: July 12, 2016, 01:26:44 am »
Please help me understand. What does that mean and how to fix it?

C:\>yum
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   dlopen rc=2 extra=NSPR4K

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.7.6 (default, Dec 12 2015, 04:56:50)
[GCC 4.9.2]

If you cannot solve this problem yourself, please go to
the yum faq at:
  http://yum.baseurl.org/wiki/Faq

---
By advice from http://yum.baseurl.org/wiki/Faq :

C:\>python
Python 2.7.6 (default, Dec 12 2015, 04:56:50)
[GCC 4.9.2] on os2knix
Type "help", "copyright", "credits" or "license" for more information.
>>> import yum
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "G:/unixroot/usr/lib/python2.7/site-packages/yum/__init__.py", line 23, in <module>
    import rpm
  File "G:/unixroot/usr/lib/python2.7/site-packages/rpm/__init__.py", line 9, in <module>
    from rpm._rpm import *
ImportError: dlopen rc=2 extra=NSPR4K
>>>


David McKenna

  • Sr. Member
  • ****
  • Posts: 400
  • Karma: +15/-0
    • View Profile
Re: Help! Need to fix yum.
« Reply #1 on: July 12, 2016, 12:55:53 pm »
 I am no expert on this stuff, but NSPR4K.DLL  is part of the 'Netscape Public Runtime' and is installed by YUM. Check your system and make sure there is not another version of NSPR4K.DLL on your LIBPATH that would confuse YUM. Also make sure the one in your \usr\lib directory is correct (you can download the NSPR rpm from the Netlabs YUM page and manually extract).

Pete2

  • Newbie
  • *
  • Posts: 24
  • Karma: +4/-0
    • View Profile
Re: Help! Need to fix yum.
« Reply #2 on: July 12, 2016, 03:00:30 pm »
  Check your system and make sure there is not another version of NSPR4K.DLL on your LIBPATH that would confuse YUM.

...by doing
which -la nspr4k.dll

You can find  'which' at http://hobbes.nmsu.edu/download/pub/os2/util/disk/which215.zip
Other versions exist but not all of them can search for libraries.

hth
Pete


Digi

  • Newbie
  • *
  • Posts: 49
  • Karma: +3/-0
  • http://os2.snc.ru/
    • View Profile
    • OS/2 ports and applications
Re: Help! Need to fix yum.
« Reply #3 on: July 12, 2016, 03:39:47 pm »
Strange. This file has disappeared from %unixroot%\usr\lib. I copied it from another system, and now yum works.
Thank you!
« Last Edit: July 12, 2016, 03:46:40 pm by Digi »

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 3558
  • Karma: +34/-0
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Help! Need to fix yum.
« Reply #4 on: July 12, 2016, 05:16:13 pm »
Hi.

Just a sidenote, if the issue is a duplicated DLLs I always find it usefull the xWorkplace tool on "OS/2 Kernel".
Check the screenshot.

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.